Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class ConfigurationMap

    java.lang.Object
      java.util.AbstractMap
          org.apache.commons.configuration.ConfigurationMap

All Implemented Interfaces:
  Map

Direct Known Subclasses:
  ConfigurationDynaBean

    public class ConfigurationMap

extends AbstractMap

The `ConfigurationMap` wraps a configuration-collection `Configuration` instance to provide a `Map` interface.

Note: This implementation is incomplete.

Since:
  1.0
Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
Author:
  Ricardo Gladwell

Nested Class Summary
`(package private) static class` | `ConfigurationMap.ConfigurationSet` Set of entries in the map.

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`ConfigurationMap(Configuration configuration)` Creates a new instance of a `ConfigurationMap` that wraps the specified `Configuration` instance.

Method Summary
`Set` | `entrySet()`
`Object` | `get(Object key)`
`Configuration` | `getConfiguration()` Returns the wrapped `Configuration` object.
`Object` | `put(Object key, Object value)`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationMap

    public ConfigurationMap(Configuration configuration)

  Creates a new instance of a `ConfigurationMap` that wraps the specified `Configuration` instance.

  Parameters:
    `configuration` - `Configuration` instance.

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Returns the wrapped `Configuration` object.

  Returns:
    the wrapped configuration
  Since:
    1.2

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`
  Specified by:
    `entrySet` in class `AbstractMap`
  See Also:
    `Map.entrySet()`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `AbstractMap`
  See Also:
    `Map.put(java.lang.Object, java.lang.Object)`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`
  Overrides:
    `get` in class `AbstractMap`
  See Also:
    `Map.get(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.